Update a log source
Update a log source: pause or resume ingestion across its log streams, and/or set or clear its ongoing auto-provisioning filter. Log sources cannot be renamed — their generated names are immutable.
PATCH https://api.sazabi.com/v1/log-sources/{logSourceId}
Path Parameters
Log source ID to update.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/log-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "logSource": { "connectionStatus": { "state": "connected", "reasonCode": "credentials_rejected", "checkedAt": "2019-08-24T14:15:22Z", "verification": "verified" }, "recovery": { "action": "reconnect", "canCheck": true, "canDisconnect": true, "target": { "kind": "integration", "resourceId": "string", "providerId": "string", "scope": { "kind": "user", "id": "string" } } }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "vercel", "mode": "native", "name": "string", "streamCount": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "streamAutoProvisionFilter": { "allowlist": [ "string" ], "denylist": [ "string" ] } }}